# Note that this is NOT a relocatable package
%define version      1.2.0
%define release      6mdk

Summary: The GNOME Personal Information Manager.
Name: gnome-pim
Version: %version
Release: %release
Copyright: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{version}.tar.bz2
Source1: gnomecal_16.xpm.bz2
Source2: gnomecal_32.xpm.bz2
Source3: gnomecal_48.xpm.bz2
Source4: gnomecard_16.xpm.bz2
Source5: gnomecard_32.xpm.bz2
Source6: gnomecard_48.xpm.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Icon: gnome-pim-logo.xpm
URL: http://www.gnome.org
Requires:  gnome-libs >= 1.0.60
Requires:  ORBit >= 0.5.0

%description
The GNOME Personal Information Manager consists of applications to make
keeping up with your busy life easier.

Currently these apps are present:

 - gnomecal :  personal calendar and todo list
 - gnomecard:  contact list of friends and business associates

%package devel
Summary: GNOME PIM development files
Group: Development/GNOME and GTK+
Icon: gnome-pim-devel-logo.xpm
Requires: %{name} = %{version}

%description devel
Files needed to develop apps which interact with gnome-pim applications
via CORBA.

%package conduits

Summary:	Gnome Pilot conduits for GnomeCal and GnomeCard
Group :         Office
Requires:       %{name} = %{version}
Requires:		control-center
BuildRequires:  gnome-pilot-devel XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel control-center-devel pilot-link-devel libxml-devel

%description conduits
The gnome-pim-conduits package includes the conduits needed to connect
your PalmPilot with gnome-pim applications.

Currently these conduits are present:

 - gnomecal :  synchronizes your GnomeCal calendar with your Palm's calendar
 - gnomecard:  synchronizes your contact list

%prep
%setup

%build

%configure

%make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/gnomecal.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/gnomecal.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/gnomecal.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_miconsdir}/gnome-card.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_iconsdir}/gnome-card.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_liconsdir}/gnome-card.xpm

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="X11" \
	section="Office" \
	title="Gnome-Cal" \
	longtitle="personal calendar and todo list" \
	command="%{_bindir}/gnomecal" \
	icon="gnomecal.xpm"
?package(%{name}): \
	needs="X11" \
	section="Office" \
	title="Gnome-Card" \
	longtitle="contact list of friends and business associates" \
	command="%{_bindir}/gnomecard" \
	icon="gnome-card.xpm"
EOF
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}-conduits
?package(%{name}-conduits): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="address-conduit-capplet --cap-id=1" title="GnomeCard Conduit"
?package(%{name}-conduits): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="calendar-conduit-control-applet --cap-id=1" title="GnomeCal Conduit" icon="/usr/share/pixmaps/gnome-calendar-conduit.png"
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%post conduits
%{update_menus}
/sbin/ldconfig

%postun conduits
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnomecal
%{_bindir}/gnomecard
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_datadir}/gnome/help/*
%{_datadir}/mime-info/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_menudir}/%{name}

%files devel
%defattr(-, root, root)

%{_datadir}/idl

%files conduits
%defattr(-, root, root)

%{_bindir}/calendar-pilot-sync
%{_bindir}/calendar-conduit-control-applet
%{_bindir}/address-conduit-capplet
%{_libdir}/gnome-pilot/conduits/*
%{_datadir}/control-center/*
#%{_datadir}/gnome/apps/Settings/*
%{_datadir}/pixmaps/gnome-calendar-conduit.png
%{_datadir}/gnome-pilot/*
%{_menudir}/%{name}-conduits

%changelog
* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-6mdk
- Add dependency on control-center for conduits
- Correct menu entries for conduits

* Tue Sep 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk
- Correct locale (Thanks to Goetz Waschk)

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- Provide menu entry for conduits

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Add new icons
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0 (from helix)
- BM + macroszification
- clean spec
- add support for pilot conduits

* Sat Apr 15 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.55-3mdk
- add menu entries 
- Correct groups

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build
- 1.0.55

* Sun Aug 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Version 1.0.9
- cleaned %files

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Version 1.0.7.

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Stripping again ;-).

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build and fixed source line

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gtk+ 1.1.12

* Mon Dec 14 1998 Michael Fulbright <drmike@redhat.com>
- first try at an RPM for the 0.99.0 release
